### Method

# FwupdPlugin Efivars set_data_bytes

#### Declaration [src]

    gboolean
    fu_efivars_set_data_bytes (
      FuEfivars* self,
      const gchar* guid,
      const gchar* name,
      GBytes* bytes,
      FuEfiVariableAttrs attr,
      GError** error
    )

#### Description [src]

Sets the data to a UEFI variable in NVRAM.

Available since: | 2.0.0

#### Parameters

`guid` | `const gchar*`
| Globally unique identifier.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`name` | `const gchar*`
| Variable name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`bytes` | `GBytes`
| Data blob.
| The data is owned by the caller of the function.
`attr` | `FuEfiVariableAttrs`
| `FuEfiVariableAttrs`, e.g. `FU_EFI_VARIABLE_ATTR_NON_VOLATILE`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success.